# Class UnknownPlayerError

#### Hierarchy

- MediaPlayerError
  - UnknownPlayerError

#####
Index

### Constructors

constructor

### Properties

category
code
description
error

## Constructors

### constructor

- new UnknownPlayerError(error): UnknownPlayerError

- #### Parameters

  - error: MediaError

  #### Returns UnknownPlayerError

  Overrides MediaPlayerError.constructor

## Properties

### `Readonly` category

category: Media = ErrorCategory.Media

Inherited from MediaPlayerError.category

### `Readonly` code

code: UnknownPlayerError = ErrorCode.UnknownPlayerError

Overrides MediaPlayerError.code

### `Readonly` description

description: "An unknown player error has occured." = 'An unknown player error has occured.'

### error

error: MediaError